Bug 148823 - CAN-2005-0365 dcopidlng insecure temporary file usage
CAN-2005-0365 dcopidlng insecure temporary file usage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
impact=low,public=20050121
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 17:08 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.3.1-2.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 07:03:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-15 17:08:28 EST
*** This bug has been split off bug 148822 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.15
17:06 -------

The dcopidlng script in KDE 3.3.2 creates temporary files with predictable
filenames, which allows local users to overwrite arbitrary files via a symlink
attack.

The kde BTS has more information:
http://bugs.kde.org/show_bug.cgi?id=97608
Comment 1 Josh Bressers 2005-02-15 17:08:53 EST
It seems this issue may affect FC2 as well.
Comment 2 Ngo Than 2005-02-16 07:54:25 EST
it's now fixed in kdelibs-3.3.1-2.7.FC3, which is built in fc3-updates-candidate.
Comment 3 Walter Justen 2005-08-19 07:03:16 EDT
Thanks for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.

Note You need to log in before you can comment on or make changes to this bug.